import App from './App'



// #ifndef VUE3
import Vue from 'vue'

import '@/pc'


import uView from "uview-ui";
Vue.use(uView);

//#ifdef H5
// 防止苹果在原生浏览器上打开页面的用户缩放页面。
// import '@/util/noScale.js';
//#endif
// 接口封装
import request from '@/https/http.js'
Vue.prototype.$http = request;
// 输入框正则判断
import check from '@/util/util.js'
Vue.prototype.$check = check

// 小程序
var qqmapsdk = require('@/libs/qqmap-wx-jssdk.min.js');
Vue.prototype.myAmapFun = new qqmapsdk({
	key: 'O7NBZ-PTTCG-OEPQF-I6MTS-YEKCJ-OCFVO'    //腾讯位置服务添加的key
});
// 请求地址
import { baseUrl } from '@/https/url.js'
Vue.prototype.$httpUrl = baseUrl;  //请求地址上传图片路径 

// 巨量表单提交 assets_id
Vue.prototype.$assets_id = 1759144209292295;

// 公共mixin
import minxin from '@/util/mixin.js'
Vue.mixin(minxin)

App.mpType = 'app'

// 去掉H5 console.log
// if (uni.getSystemInfoSync().platform !== "devtools") {
// 	console.log = () => {}
// }
Vue.config.productionTip = false
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif